@import '../variables/color.scss';

.o-dpck__table__cell {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
}
.o-sel-arrow {
    background-image: none;
}
.o-ctrl-sel {
    select {
        font-size: 16px !important;
        font-weight: 700 !important;
        padding-right: 0;
        font-size: 14px !important;
        border: none;
    }
}
button.o-dpck__header__previous {
    background-color: $white !important;
    border: none !important;
    color: $grey900 !important;
    &::after {
        content: '\2039';
        font-weight: bold;
    }
}
button.o-dpck__header__next {
    background-color: $white !important;
    border: none !important;
    color: $grey900 !important;
    &::after {
        content: '\203A';
        font-weight: bold;
    }
}
// border-spacing: 10px;
.o-dpck__table__cell {
    // display: inline-flexbox !important;
    width: 32px !important;
    height: 32px !important;
    line-height: 20px !important;
    font-size: 14px;

    &--within-hovered {
        background-color: $purple100 !important;
    }

    &--selected {
        background-color: $purple600 !important;
        // margin: 12px !important;
    }
    &--within-selected,
    &--within-hovered {
        background-color: $purple100 !important;
        color: $grey900 !important;
        // margin: 12px !important;
    }

    &--first-hovered,
    &--first-selected {
        background-color: $purple600 !important;
        border-radius: 50%;
        color: $white !important;
        &::after {
            width: 16px;
            height: 32px;
            position: absolute;
            // left: 50%;
            // top: 50%;
            right: 0;
            content: '';
            // border-radius: 50%;
            z-index: -1;
            background-color: $purple100;
            // margin: -16px 0 0 -16px;
        }
    }
    &--last-hovered,
    &--last-selected {
        background-color: $purple600 !important;
        border-radius: 50%;
        color: $white !important;
        &::before {
            width: 16px;
            height: 32px;
            position: absolute;
            // left: 50%;
            // top: 50%;
            left: 0;
            content: '';
            // border-radius: 50%;
            z-index: -1;
            background-color: $purple100;
            // margin: -16px 0 0 -16px;
        }
    }
}
